texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[8388] Rename command from texi2any-js to texinfo-js


From: gavinsmith0123
Subject: [8388] Rename command from texi2any-js to texinfo-js
Date: Wed, 24 Oct 2018 05:31:54 -0400 (EDT)

Revision: 8388
          http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=8388
Author:   gavin
Date:     2018-10-24 05:31:54 -0400 (Wed, 24 Oct 2018)
Log Message:
-----------
Rename command from texi2any-js to texinfo-js

Modified Paths:
--------------
    trunk/js/Makefile.am
    trunk/js/texinfo-js.texi

Added Paths:
-----------
    trunk/js/texinfo-js.in

Removed Paths:
-------------
    trunk/js/texi2any-js.in

Modified: trunk/js/Makefile.am
===================================================================
--- trunk/js/Makefile.am        2018-10-23 22:25:01 UTC (rev 8387)
+++ trunk/js/Makefile.am        2018-10-24 09:31:54 UTC (rev 8388)
@@ -54,11 +54,11 @@
 
 dist_pkgdata_DATA=$(js_scripts) info.css
 
-bin_SCRIPTS = texi2any-js
-EXTRA_DIST += texi2any-js.in
+bin_SCRIPTS = texinfo-js
+EXTRA_DIST += texinfo-js.in
 
-texi2any-js: texi2any-js.in
-       sed -e 's,@pkgdatadir@,'$(pkgdatadir)',g' $(srcdir)/texi2any-js.in >$@
+texinfo-js: texinfo-js.in
+       sed -e 's,@pkgdatadir@,'$(pkgdatadir)',g' $(srcdir)/texinfo-js.in >$@
        chmod a+x $@
 
 EXTRA_DIST += HACKING README TODO \

Deleted: trunk/js/texi2any-js.in
===================================================================
--- trunk/js/texi2any-js.in     2018-10-23 22:25:01 UTC (rev 8387)
+++ trunk/js/texi2any-js.in     2018-10-24 09:31:54 UTC (rev 8388)
@@ -1,121 +0,0 @@
-#!/bin/sh
-# Copyright (C) 2017-2018 Free Software Foundation, Inc.
-#
-# This file is part of GNU Texinfo.
-#
-# GNU Texinfo is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-# GNU Texinfo is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with GNU Texinfo.  If not, see <http://www.gnu.org/licenses/>.
-
-# option parsing
-
-version () {
-  cat <<EOF
-texi2any-js 0.0.90
-
-Copyright (C) 2018 Free Software Foundation, Inc.
-License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
-This is free software: you are free to change and redistribute it.
-There is NO WARRANTY, to the extent permitted by law.
-EOF
-    exit 0
-}
-
-help () {
-  cat <<EOF
-Usage: texi2any-js MANUAL [texi2any options]"
-
-Run texi2any on MANUAL, adding a JavaScript browsing interface.  Any
-extra options are passed through to texi2any.
-
-Report bugs to address@hidden,
-GNU Texinfo home page: <http://www.gnu.org/software/texinfo/>
-General help using GNU software: <http://www.gnu.org/gethelp/>
-EOF
-
-}
-
-manual=
-
-while test x"$1" != x ; do
-  case $1 in
-    --version)
-      version
-      exit 0
-      ;;
-    --help)
-      help
-      exit 0
-      ;;
-    -*)
-      echo "unknown option -$1"
-      exit 1 ;;
-    *)
-      manual=$1
-      shift
-      break ;;
-  esac
-  shift
-done
-
-if test x$manual = x; then
-  help
-  exit 1
-fi
-
-makeinfo_flags=$@
-
-MAKEINFO=${MAKEINFO:-texi2any}
-
-# substituted by Makefile
address@hidden@
-if test $pkgdatadir = '@'pkgdatadir'@' ; then
-  pkgdatadir=.
-fi
-
-extra_head='
-<link rel="stylesheet" type="text/css" href="info.css"/>
-<script src="modernizr.js" type="text/javascript"></script>
-<script src="info.js" type="text/javascript"></script>
-'
-
-js_scripts="$pkgdatadir/modernizr.js $pkgdatadir/info.js"
-for f in $js_scripts ; do
-  if ! test -f $f ; then
-    echo "$f not found"
-    exit 1
-  fi
-done
-
-css_files="$pkgdatadir/info.css"
-for f in $css_files ; do
-  if ! test -f $f ; then
-    echo "$f not found"
-    exit 1
-  fi
-done
-
-
-if test x$outdir = x ; then
-  outdir=`basename $manual`
-  outdir=${outdir%.texi}-html
-fi
-
-$MAKEINFO --html -c EXTRA_HEAD="$extra_head" $manual -o $outdir $makeinfo_flags
-if test $? -ne 0 ; then
-  echo "makeinfo failed"
-  exit 1
-else
-  cp $js_scripts $css_files $outdir
-fi
-
-

Copied: trunk/js/texinfo-js.in (from rev 8381, trunk/js/texi2any-js.in)
===================================================================
--- trunk/js/texinfo-js.in                              (rev 0)
+++ trunk/js/texinfo-js.in      2018-10-24 09:31:54 UTC (rev 8388)
@@ -0,0 +1,110 @@
+#!/bin/sh
+# Copyright (C) 2017-2018 Free Software Foundation, Inc.
+#
+# This file is part of GNU Texinfo.
+#
+# GNU Texinfo is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# GNU Texinfo is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GNU Texinfo.  If not, see <http://www.gnu.org/licenses/>.
+
+# option parsing
+
+version () {
+  cat <<EOF
+texinfo-js 0.0.90
+
+Copyright (C) 2018 Free Software Foundation, Inc.
+License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
+This is free software: you are free to change and redistribute it.
+There is NO WARRANTY, to the extent permitted by law.
+EOF
+    exit 0
+}
+
+help () {
+  cat <<EOF
+Usage: texinfo-js MANUAL [texi2any options]"
+
+Run texi2any on MANUAL, adding a JavaScript browsing interface.  Any
+extra options are passed through to texi2any.
+
+Report bugs to address@hidden,
+GNU Texinfo home page: <http://www.gnu.org/software/texinfo/>
+General help using GNU software: <http://www.gnu.org/gethelp/>
+EOF
+
+}
+
+manual=
+
+while test x"$1" != x ; do
+  case $1 in
+    --version)
+      version
+      exit 0
+      ;;
+    --help)
+      help
+      exit 0
+      ;;
+    -*)
+      echo "unknown option -$1"
+      exit 1 ;;
+    *)
+      manual=$1
+      shift
+      break ;;
+  esac
+  shift
+done
+
+if test x$manual = x; then
+  help
+  exit 1
+fi
+
+texi2any_flags=$@
+
+TEXI2ANY=${TEXI2ANY:-texi2any}
+
+# substituted by Makefile
address@hidden@
+if test $pkgdatadir = '@'pkgdatadir'@' ; then
+  pkgdatadir=.
+fi
+
+extra_head='
+<link rel="stylesheet" type="text/css" href="info.css"/>
+<script src="modernizr.js" type="text/javascript"></script>
+<script src="info.js" type="text/javascript"></script>
+'
+
+js_scripts="$pkgdatadir/modernizr.js $pkgdatadir/info.js"
+for f in $js_scripts $css_files ; do
+  if ! test -f $f ; then
+    echo "$f not found"
+    exit 1
+  fi
+done
+
+if test x$OUTDIR = x ; then
+  OUTDIR=`basename $manual`
+  OUTDIR=${OUTDIR%.texi}-html
+fi
+
+$TEXI2ANY --html -c EXTRA_HEAD="$extra_head" $manual -o $OUTDIR $texi2any_flags
+if test $? -ne 0 ; then
+  echo "texi2any failed"
+  exit 1
+else
+  cp $js_scripts $css_files $OUTDIR
+fi

Modified: trunk/js/texinfo-js.texi
===================================================================
--- trunk/js/texinfo-js.texi    2018-10-23 22:25:01 UTC (rev 8387)
+++ trunk/js/texinfo-js.texi    2018-10-24 09:31:54 UTC (rev 8388)
@@ -40,8 +40,8 @@
 manuals generated from Texinfo.
 @end ifnottex
 
address@hidden @command{texi2any-js}
address@hidden @command{texi2any-js}
address@hidden @command{texinfo-js}
address@hidden @command{texinfo-js}
 
 The Texinfo JS Interface is an attempt to make browsing features
 provided by the Info mode of Emacs and the @command{info} program
@@ -60,20 +60,20 @@
 corner.
 
 To add the Texinfo JS Interface to HTML
-manuals generated from Texinfo, use the @command{texi2any-js} command.
+manuals generated from Texinfo, use the @command{texinfo-js} command.
 For example:
 
 @example
-texi2any-js elisp.texi
+texinfo-js elisp.texi
 @end example
 
 @noindent The HTML manual is created in the @code{elisp-html} directory.
 
-Any extra arguments given to @command{texi2any-js} are passed on to
+Any extra arguments given to @command{texinfo-js} are passed on to
 @command{texi2any}.  For example:
 
 @example
-texi2any-js elisp.texi --css-ref=kawa.css
+texinfo-js elisp.texi --css-ref=kawa.css
 @end example
 
 @noindent causes the @file{kawa.css} CSS file to be referenced in the




reply via email to

[Prev in Thread] Current Thread [Next in Thread]